import {
  generateDocumentation
} from "../chunk-KXYVJC2E.js";

// src/ui/auto-type-table.tsx
import { TypeTable } from "fumadocs-ui/components/type-table";

// src/markdown.ts
import { fromMarkdown } from "mdast-util-from-markdown";
import { gfmFromMarkdown } from "mdast-util-gfm";
import { toHast } from "mdast-util-to-hast";
import { toJsxRuntime } from "hast-util-to-jsx-runtime";
import * as runtime from "react/jsx-runtime";
function renderMarkdown(md) {
  const mdast = fromMarkdown(
    md.replace(new RegExp("{@link (?<link>[^}]*)}", "g"), "$1"),
    // replace jsdoc links
    { mdastExtensions: [gfmFromMarkdown()] }
  );
  return toJsxRuntime(toHast(mdast), {
    Fragment: runtime.Fragment,
    jsx: runtime.jsx,
    jsxs: runtime.jsxs
  });
}

// src/ui/auto-type-table.tsx
import "server-only";
import { jsx as jsx2 } from "react/jsx-runtime";
function AutoTypeTable({
  path,
  name,
  options
}) {
  const output = generateDocumentation(path, name, options);
  if (!output)
    throw new Error(`${name} in ${path} doesn't exist`);
  return /* @__PURE__ */ jsx2(
    TypeTable,
    {
      type: Object.fromEntries(
        output.entries.map((entry) => [
          entry.name,
          {
            type: entry.type,
            description: renderMarkdown(entry.description),
            default: entry.tags.default || entry.tags.defaultValue
          }
        ])
      )
    }
  );
}
export {
  AutoTypeTable
};
